/* ========================================
 *  Gringer - Gringer.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __Gringer_Gringer_H
#define __Gringer_Gringer_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::Gringer {
enum {
  kNumParameters = 0
}; //


class Gringer final : public SfxCoreExtensionV1
{
public:
    Gringer();
    ~Gringer();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff

	double inbandL[9];
	double outbandL[9];
	double inbandR[9];
	double outbandR[9];


};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
